Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable
Class PlanningVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.PlanningVariableDescriptor

    public class PlanningVariableDescriptor

extends Object

Constructor Summary
`PlanningVariableDescriptor(PlanningEntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`void` | `afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)`
`List<PlanningVariableListener>` | `buildVariableListenerList()`
`Collection<?>` | `extractAllPlanningValues(Solution solution)`
`Collection<?>` | `extractPlanningValues(Solution solution, Object entity)`
`PlanningEntityDescriptor` | `getEntityDescriptor()`
`SelectionSorter` | `getIncreasingStrengthSorter()`
`SelectionFilter` | `getReinitializeVariableEntityFilter()`
`Object` | `getValue(Object entity)`
`long` | `getValueCount(Solution solution, Object entity)`
`PlanningValueRangeDescriptor` | `getValueRangeDescriptor()`
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`boolean` | `isChained()`
`boolean` | `isContinuous()`
`boolean` | `isInitialized(Object entity)` A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.
`boolean` | `isNullable()`
`boolean` | `isPlanningValuesCacheable()` Deprecated.
`boolean` | `matchesEntityVariable(Object entity, String variableName)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`void` | `registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)`
`void` | `setValue(Object entity, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanningVariableDescriptor

    public PlanningVariableDescriptor(PlanningEntityDescriptor entityDescriptor,
                                      PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### afterAnnotationsProcessed

    public void afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)

### registerShadowVariableDescriptor

    public void registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)

### getEntityDescriptor

    public PlanningEntityDescriptor getEntityDescriptor()

### getVariableName

    public String getVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### matchesEntityVariable

    public boolean matchesEntityVariable(Object entity,
                                         String variableName)

### isContinuous

    public boolean isContinuous()

  Returns:
    true if the value range is continuous (as in for example every double value between 1.2 and 1.4)

### isChained

    public boolean isChained()

### isNullable

    public boolean isNullable()

### getReinitializeVariableEntityFilter

    public SelectionFilter getReinitializeVariableEntityFilter()

### getValueRangeDescriptor

    public PlanningValueRangeDescriptor getValueRangeDescriptor()

### buildVariableListenerList

    public List<PlanningVariableListener> buildVariableListenerList()

### isInitialized

    public boolean isInitialized(Object entity)

  A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.

  Parameters:
    `entity` - never null
  Returns:
    true if the variable on that entity is initialized

### getValue

    public Object getValue(Object entity)

### setValue

    public void setValue(Object entity,
                         Object value)

### extractAllPlanningValues

    public Collection<?> extractAllPlanningValues(Solution solution)

### extractPlanningValues

    public Collection<?> extractPlanningValues(Solution solution,
                                               Object entity)

### isPlanningValuesCacheable

    @Deprecated
    public boolean isPlanningValuesCacheable()

  Deprecated.

### getIncreasingStrengthSorter

    public SelectionSorter getIncreasingStrengthSorter()

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.